Bug 97232 - evolution hangs when reading large e-mails and then displays only part of large e-mails
evolution hangs when reading large e-mails and then displays only part of lar...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: evolution (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-11 14:03 EDT by Danny Remington
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1093188 (view as bug list)
Environment:
Last Closed: 2003-08-06 16:27:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Danny Remington 2003-06-11 14:03:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
evolution hangs whenever I try to read or preview large e-mails.  The e-mails
that are doing this all have a large html attachment.  I didn't notice until I
upgraded the kernal recently, but I also didn't recieve e-mails with such large
html attachments until recently either. I have  the following kernels reported
by rpm: kernel-2.4.20-8 kernel-2.4.20-9 kernel-2.4.20-13.9 kernel-2.4.20-18.9 .


Version-Release number of selected component (if applicable):
evolution-1.2.2-5

How reproducible:
Always

Steps to Reproduce:
1. set preview on (may not be important)
2. select large e-mail (which also has large html attachment)
3. scroll down
4. open large e-mail (which also has large html attachment)
5. scroll down to the bottom
    

Actual Results:  evolution hangs up for a short time, refusing to respond, and
also seems to make everything else run very sluggish.  If you then scroll down,
you get the same behavior.  If you open the e-mail, you get sluggish
performance, but everything else is just a little slow.  If you then scroll
down, it scrolls ok, but the e-mail (which only contains an html attachement) is
cut off after a certain point, like it ran out of room to display it or something.

Expected Results:  evolution not to hang up and not make everything else
sluggish when large e-mails (which also have large html attachments) are
previewed and to not do the same when they are then scrolled.  For e-mails to
open without making evolution sluggish and to display all of the html attachment
when scrolled to the bottom.

Additional info:

I can forward one of the large e-mails that causes this problem if that will help.
Comment 1 Jeremy Katz 2003-08-06 16:27:32 EDT
Evolution 1.4.x is better with this sort of thing.

Note You need to log in before you can comment on or make changes to this bug.